Get Run
curl --request GET \
--url https://api.automindz.co/v1/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.automindz.co/v1/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.automindz.co/v1/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.automindz.co/v1/runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.automindz.co/v1/runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.automindz.co/v1/runs/{run_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.automindz.co/v1/runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"run_id": "<string>",
"status": "<string>",
"result": "<unknown>",
"started_at": "<string>",
"finished_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Runs
Get run
Check the status and results of a pipeline run
GET
/
v1
/
runs
/
{run_id}
Get Run
curl --request GET \
--url https://api.automindz.co/v1/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.automindz.co/v1/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.automindz.co/v1/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.automindz.co/v1/runs/{run_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.automindz.co/v1/runs/{run_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.automindz.co/v1/runs/{run_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.automindz.co/v1/runs/{run_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"run_id": "<string>",
"status": "<string>",
"result": "<unknown>",
"started_at": "<string>",
"finished_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Poll this endpoint to check whether a pipeline run has completed. When
status is COMPLETED, the result field contains the output data.
This endpoint works for any pipeline type (hiring signals, enrichment, etc.). The run_id is returned when you trigger a pipeline (e.g., from find leavers).
Poll every 10 seconds for small runs. For larger runs, poll every 30 seconds. Most runs complete within 30-90 seconds depending on the pipeline and data volume.
Example responses
Completed (hiring signals leavers)
Completed (hiring signals leavers)
{
"run_id": "019d678b-c737-213f-f6b2-ed713064874d",
"status": "COMPLETED",
"result": {
"costs": {
"exa_cost": 0.072,
"openrouter_cost": 0.001564,
"ai_ark_credits_consumed": -30186.2
},
"summary": {
"leavers_count": 1,
"new_company_dms_count": 3,
"old_company_dms_count": 3
},
"leavers_url": "https://tmpfiles.org/dl/12345/acme_leavers.csv",
"new_company_dms_url": "https://tmpfiles.org/dl/12346/acme_new_company_dms.csv",
"old_company_dms_url": "https://tmpfiles.org/dl/12347/acme_old_company_dms.csv"
},
"started_at": "2026-04-07T11:36:38.725680Z",
"finished_at": "2026-04-07T11:37:18.319535Z"
}
Failed
Failed
{
"run_id": "019d678b-c737-213f-f6b2-ed713064874d",
"status": "FAILED",
"result": {
"error": {
"message": "401 Client Error: Unauthorized",
"step_id": "fetch_contacts"
}
},
"started_at": "2026-04-07T11:36:38.725680Z",
"finished_at": "2026-04-07T11:36:40.057865Z"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
The unique identifier for this run.
Current status: QUEUED, RUNNING, COMPLETED, or FAILED.
Pipeline output. Structure varies by endpoint. null while in progress.
ISO 8601 timestamp when the run started.
ISO 8601 timestamp when the run completed. null while in progress.